Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class JcaService

    java.lang.Object
      org.mule.service.AbstractService
          org.mule.module.jca.JcaService

All Implemented Interfaces:
  Serializable, FlowConstruct, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, MessageProcessor, Service

    public class JcaService

extends AbstractService

`JcaService` Is the type of service used in Mule when embedded inside an app server using JCA. In the future we might want to use one of the existing models.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.service.AbstractService
`asyncReplyMessageSource, component, exceptionListener, INITIAL_STATE_PAUSED, INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED, initialState, lifecycleManager, logger, messageInfoMapping, messageProcessorChain, messageSource, model, muleContext, name, outboundRouter, stats`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JcaService(MuleContext muleContext)`

Method Summary
`protected void` | `addMessageProcessors(MessageProcessorChainBuilder builder)`
`protected void` | `doPause()` Custom components can execute code necessary to put the service in a paused state here.
`protected void` | `doResume()` Custom components can execute code necessary to resume a service once it has been paused If a developer overloads this method the doPause() method MUST also be overloaded to avoid inconsistent state in the service
`boolean` | `isPaused()` Determines if the service is in a paused state
`MuleEvent` | `sendEvent(MuleEvent event)` This is the synchronous call method and not supported by components managed in a JCA container
`protected void` | `waitIfPaused(MuleEvent event)`

Methods inherited from class org.mule.service.AbstractService
`buildServiceMessageProcessorChain, createAsyncReplyProcessor, createStatistics, dispatchEvent, dispose, disposeIfDisposable, doDispose, doForceStop, doInitialise, doStart, doStop, forceStop, getAsyncReplyMessageSource, getAsyncReplyTimeout, getComponent, getExceptionListener, getInitialState, getLifecycleManager, getLifecycleState, getMessageInfoMapping, getMessageProcessorChain, getMessageSource, getModel, getMuleContext, getName, getOutboundMessageProcessor, getServiceStartedAssertingMessageProcessor, getStatistics, initialise, initialiseIfInitialisable, injectFlowConstructMuleContext, isStarted, isStopped, isStopping, pause, process, resume, setAsyncReplyMessageSource, setComponent, setExceptionListener, setInitialState, setMessageInfoMapping, setMessageProcessor, setMessageSource, setModel, setName, setOutboundMessageProcessor, start, startIfStartable, stop, stopIfStoppable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JcaService

    public JcaService(MuleContext muleContext)

Method Detail

### sendEvent

    public MuleEvent sendEvent(MuleEvent event)
                        throws MuleException

  This is the synchronous call method and not supported by components managed in a JCA container

  Specified by:
    `sendEvent` in interface `Service`
  Overrides:
    `sendEvent` in class `AbstractService`
  Parameters:
    `event` -
  Returns:
    a MuleMessage containing the resulting message and properties
  Throws:
    `MuleException`

### isPaused

    public boolean isPaused()

  Description copied from class: `AbstractService`
  Determines if the service is in a paused state

  Specified by:
    `isPaused` in interface `Service`
  Overrides:
    `isPaused` in class `AbstractService`
  Returns:
    True if the service is in a paused state, false otherwise

### waitIfPaused

    protected void waitIfPaused(MuleEvent event)
                         throws InterruptedException

  Throws:
    `InterruptedException`

### doPause

    protected void doPause()

  Description copied from class: `AbstractService`
  Custom components can execute code necessary to put the service in a paused state here. If a developer overloads this method the doResume() method MUST also be overloaded to avoid inconsistent state in the service

  Overrides:
    `doPause` in class `AbstractService`

### doResume

    protected void doResume()

  Description copied from class: `AbstractService`
  Custom components can execute code necessary to resume a service once it has been paused If a developer overloads this method the doPause() method MUST also be overloaded to avoid inconsistent state in the service

  Overrides:
    `doResume` in class `AbstractService`

### addMessageProcessors

    protected void addMessageProcessors(MessageProcessorChainBuilder builder)

  Specified by:
    `addMessageProcessors` in class `AbstractService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.